libnvme(2)

NAME
struct nvme_mi_aem_config - Provided for nvme_mi_aem_enable

SYNOPSIS
struct nvme_mi_aem_config {
enum nvme_mi_aem_handler_next_action (*aem_handler)(nvme_mi_ep_t ep,size_t num_events, void *userdata);
struct nvme_mi_aem_enabled_map enabled_map;
bool envfa;
bool empfa;
bool encfa;
__u8 aemd;
__u8 aerd;
};

Members

aem_handler
    Callback function for application processing of events

enabled_map
    Map indicating which AE should be enabled on the endpoint

envfa
    Enable SR-IOV virtual functions AE

empfa
    Enable SR-IOV physical functions AE

encfa
    Enable PCIe functions AE

aemd
    AEM Delay (time in seconds from when event happens to AEM being batched and sent)

aerd
    AEM Retry Delay (time in 100s of ms between AEM retries from the endpoint)

Description
Application callbacks for nvme_mi_aem_process will be able to call nvme_mi_aem_get_next_event which will return a pointer to such an identifier for the next event the application should parse